#pragma once

// MassBuilderSaveTool
// Copyright (C) 2021 Guillaume Jacquemin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include <map>

#include <Magnum/Magnum.h>

using namespace Magnum;

static const std::map<Int, const char*> style_names {
    {0,  "Custom Style 1"},
    {1,  "Custom Style 2"},
    {2,  "Custom Style 3"},
    {3,  "Custom Style 4"},
    {4,  "Custom Style 5"},
    {5,  "Custom Style 6"},
    {6,  "Custom Style 7"},
    {7,  "Custom Style 8"},
    {8,  "Custom Style 9"},
    {9,  "Custom Style 10"},
    {10, "Custom Style 11"},
    {11, "Custom Style 12"},
    {12, "Custom Style 13"},
    {13, "Custom Style 14"},
    {14, "Custom Style 15"},
    {15, "Custom Style 16"},

    {50, "Global Style 1"},
    {51, "Global Style 2"},
    {52, "Global Style 3"},
    {53, "Global Style 4"},
    {54, "Global Style 5"},
    {55, "Global Style 6"},
    {56, "Global Style 7"},
    {57, "Global Style 8"},
    {58, "Global Style 9"},
    {59, "Global Style 10"},
    {60, "Global Style 11"},
    {61, "Global Style 12"},
    {62, "Global Style 13"},
    {63, "Global Style 14"},
    {64, "Global Style 15"},
    {65, "Global Style 16"},

    {100, "Iron"},
    {101, "Silver"},
    {102, "Gold"},
    {103, "Bronze"},
    {104, "Copper"},
    {105, "Nickel"},
    {106, "Cobalt"},
    {107, "Aluminium"},
    {108, "Titanium"},
    {109, "Platinum"},
    {110, "Gun Metal"},
    {111, "White"},
    {112, "White Metal"},
    {113, "White Gloss"},
    {114, "Grey"},
    {115, "Grey Metal"},
    {116, "Grey Gloss"},
    {117, "Dark Grey"},
    {118, "Dark Grey Metal"},
    {119, "Dark Grey Gloss"},
    {120, "Black"},
    {121, "Black Metal"},
    {122, "Black Gloss"},
    {123, "Red"},
    {124, "Red Metal"},
    {125, "Red Gloss"},
    {126, "Dark Red"},
    {127, "Dark Red Metal"},
    {128, "Dark Red Gloss"},
    {129, "Orange"},
    {130, "Orange Metal"},
    {131, "Orange Gloss"},
    {132, "Dark Orange"},
    {133, "Dark Orange Metal"},
    {134, "Dark Orange Gloss"},
    {135, "Yellow"},
    {136, "Yellow Metal"},
    {137, "Yellow Gloss"},
    {138, "Brown"},
    {139, "Brown Metal"},
    {140, "Brown Gloss"},
    {141, "Dark Brown"},
    {142, "Dark Brown Metal"},
    {143, "Dark Brown Gloss"},
    {144, "Leafgreen"},
    {145, "Leafgreen Metal"},
    {146, "Leafgreen Gloss"},
    {147, "Military Green"},
    {148, "Military Green Metal"},
    {149, "Military Green Gloss"},
    {150, "Green"},
    {151, "Green Metal"},
    {152, "Green Gloss"},
    {153, "Dark Green"},
    {154, "Dark Green Metal"},
    {155, "Dark Green Gloss"},
    {156, "Teal"},
    {157, "Teal Metal"},
    {158, "Teal Gloss"},
    {159, "Cyan"},
    {160, "Cyan Metal"},
    {161, "Cyan Gloss"},
    {162, "Blue"},
    {163, "Blue Metal"},
    {164, "Blue Gloss"},
    {165, "Blue Sky"},
    {166, "Blue Sky Metal"},
    {167, "Blue Sky Gloss"},
    {168, "Dark Blue"},
    {169, "Dark Blue Metal"},
    {170, "Dark Blue Gloss"},
    {171, "Purple"},
    {172, "Purple Metal"},
    {173, "Purple Gloss"},
    {174, "Dark Purple"},
    {175, "Dark Purple Metal"},
    {176, "Dark Purple Gloss"},
    {177, "Pink"},
    {178, "Pink Metal"},
    {179, "Pink Gloss"},
    {180, "Rosy Brown"},
    {181, "Rosy Brown Metal"},
    {182, "Rosy Brown Gloss"},
    {183, "Ivory"},
    {184, "Ivory Metal"},
    {185, "Ivory Gloss"},
    {186, "Slate Brown"},
    {187, "Slate Brown Metal"},
    {188, "Slate Brown Gloss"},
    {189, "Slate Green"},
    {190, "Slate Green Metal"},
    {191, "Slate Green Gloss"},
    {192, "Slate Blue"},
    {193, "Slate Blue Metal"},
    {194, "Slate Blue Gloss"},
    {195, "Slate Purple"},
    {196, "Slate Purple Metal"},
    {197, "Slate Purple Gloss"},
    {198, "White Glow"},
    {199, "White Radiance"},
    {200, "Red Glow"},
    {201, "Red Radiance"},
    {202, "Orange Glow"},
    {203, "Orange Radiance"},
    {204, "Yellow Glow"},
    {205, "Yellow Radiance"},
    {206, "Leafgreen Glow"},
    {207, "Leafgreen Radiance"},
    {208, "Green Glow"},
    {209, "Green Radiance"},
    {210, "Teal Glow"},
    {211, "Teal Radiance"},
    {212, "Cyan Glow"},
    {213, "Cyan Radiance"},
    {214, "Blue Glow"},
    {215, "Blue Radiance"},
    {216, "Purple Glow"},
    {217, "Purple Radiance"},
    {218, "Pink Glow"},
    {219, "Pink Radiance"},
    {220, "Grey Camo"},
    {221, "Dark Grey Camo"},
    {222, "Green Camo"},
    {223, "Dark Green Camo"},
    {224, "Brown Camo"},
    {225, "Dark Brown Camo"},
    {226, "Blue Camo"},
    {227, "Dark Blue Camo"},
};
